Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class CompilationFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.control.CompilationFailedException

    public class CompilationFailedException
    extends GroovyRuntimeException

Thrown when compilation fails from source errors.

Authors:
  Chris Poirier

Version:
  \$Id: CompilationFailedException.java 10493 2008-01-19 10:23:02Z russel \$

Field Summary
`protected int` | `phase`
`protected ProcessingUnit` | `unit`

Constructor Summary
`CompilationFailedException(int phase, ProcessingUnit unit, Throwable cause)`
`CompilationFailedException(int phase, ProcessingUnit unit)`

Method Summary
`ProcessingUnit` | `getUnit()` Formats the error data as a String.

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### phase

    protected int phase

### unit

    protected ProcessingUnit unit

Constructor Detail

### CompilationFailedException

    public CompilationFailedException(int phase, ProcessingUnit unit, Throwable cause)

### CompilationFailedException

    public CompilationFailedException(int phase, ProcessingUnit unit)

Method Detail

### getUnit

    public ProcessingUnit getUnit()

  Formats the error data as a String.

Copyright © 2003-2010 The Codehaus. All rights reserved.